Skip to main content

Topic: RareWares Debian GNU/Linux Repository (Read 73056 times) previous topic - next topic

0 Members and 1 Guest are viewing this topic.
  • Yaztromo
  • [*][*][*]
RareWares Debian GNU/Linux Repository
Reply #50
Hello xmixahlx

Could you help me

I tried to install Lamip last night from Rarewares Debian respository but synaptic complains that it require libssl0.9.8. I can only find libssl0.9.7. Do you know a repository I can get it from?

I'm using Ubuntu Breezy Badger by the way.

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #51
rarewares uses debian sid/unstable

you could see if upgrading ubuntu is possible, or using debian repo, or recompiling for ubuntu.
all the sources are in http://xmixahlx.dyndns.org/debian/


later

  • Yaztromo
  • [*][*][*]
RareWares Debian GNU/Linux Repository
Reply #52
Quote
rarewares uses debian sid/unstable

you could see if upgrading ubuntu is possible, or using debian repo, or recompiling for ubuntu.
all the sources are in http://xmixahlx.dyndns.org/debian/


later
[{POST_SNAPBACK}][/a]


I'd figured I need to use a repo with newer packages other than the standard ubuntu ones (universe, multiverse etc)

I have the two rarewares ones added and they work fine. I assume that packages needed to install things from them are on ftp.nerim.net, but it gives me these errors:

Quote
Get:8 [a href="ftp://ftp.nerim.net]ftp://ftp.nerim.net[/url] unstable/main Packages
Err ftp://ftp.nerim.net unstable/main Packages
  Unable to fetch file, server said ‘Can't open /debian-marillat/dists/unstable/main/binary-i386/Packages.gz: No such file or directory  ’ [IP: 62.4.17.14 21]
Fetched 4B in 1s (2B/s)
Failed to fetch ftp://ftp.nerim.net/debian-marillat/dists...386/Packages.gz  Unable to fetch file, server said ‘Can't open /debian-marillat/dists/unstable/main/binary-i386/Packages.gz: No such file or directory  ’ [IP: 62.4.17.14 21]
Reading package lists... Done
W: Couldn't stat source package list ftp://ftp.nerim.net unstable/main Packages (/var/lib/apt/lists/ftp.nerim.net_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)


Do you know of any other repositories I can use or if I'm doing anything wrong with apt-get?

Your help is greatly appreciated xmix.

PS. I also tried to install packages other than lamip and got different unresolvable dependecies.
  • Last Edit: 18 November, 2005, 12:35:48 PM by Yaztromo

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #53
refer to neomoe's post above

  • neomoe
  • [*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #54
Yaztromo,

add following addresses to your sources.list:

## Christian Marillat's Mult-Media Repository for Unstable aka SID
deb ftp://ftp.nerim.net/debian-marillat/ sid main

## RareWares/Debian Multi-Media Repository for Unstable - Experimental - Stable Staging

deb http://www.rarewares.org/debian/packages/experimental/ ./
deb http://www.rarewares.org/debian/packages/stable/ ./

## RareWares/Debian Multi-Media Repository for Unstable Staging (additional)
deb http://www.rarewares.org/debian/packages/unstable/ ./

##in addition to the RW-repos.
deb http://pkg-gnome.alioth.debian.org/debian/ experimental main

now procede as described on rarewares ("apt-pinning").

that should solve all your problems.



xmixahlx, the informaion on rarewares regarding apt-sources is not complete.
"deb http://www.rarewares.org/debian/packages/unstable/ ./" also needs to be added to the sources.list
  • Last Edit: 18 November, 2005, 03:33:13 PM by neomoe

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #55
no, the reference to the unstable repo is on the front page

i need to edit the html to change christian marillat's repo from *unstable* to *sid*

the RW/D stable repo is mostly unusable, and is applicable to woody, not sarge. you don't need this repository unless you are running something old.


later
  • Last Edit: 18 November, 2005, 06:58:56 PM by xmixahlx

  • Yaztromo
  • [*][*][*]
RareWares Debian GNU/Linux Repository
Reply #56
Thank you to you both.

dpkg --force-all works a charm.

I have now have lamip with foobar control plugin working  It's basic, but it shows much much promise.
  • Last Edit: 18 November, 2005, 07:12:38 PM by Yaztromo

  • neomoe
  • [*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #57
Quote
no, the reference to the unstable repo is on the front page
[a href="index.php?act=findpost&pid=342987"][{POST_SNAPBACK}][/a]



ah, now I've seen it - it appears on the frontpage but not in the apt-pinning-how2. scrolling down a webpage can help a lot :-)

  • VCSkier
  • [*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #58
could someone point me in the direction of a slightly simpler explaination of how to enable this repo?  i'm very new to linux, and am running ubuntu.  apparently i dont really know what i'm doing.  i can't seem to grasp this apt pinning concept, or something; all i know is that i currently can't access the rw packages from my "synaptic package manager."  i added "deb ftp://ftp.nerim.net/debian-marillat/ sid main" and "deb http://www.rarewares.org/debian/packages/experimental/ ./" to my "software sources" list in package manager, but still no luck.

the bottom line is that i'm trying to install lamip.  as a former fb2k user, it seems to be the only viable alternative.  this rw debian repo thing seems awesome, and appears to be the best way to get lamip, but i can't get it to work.  thanks for any help or suggestions.

edit:  fixed some pretty significant typos.  lol, how did i do that?
  • Last Edit: 26 February, 2006, 03:30:14 AM by VCSkier
a windows-free, linux user since 1/31/06.

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #59
i go through the apt config and explain pinning on the website, here:
http://rarewares.org/debian.html

the quick answer? add the following line to synaptic:

deb http://www.rarewares.org/debian/packages/unstable/ ./

i've had mixed reports on ubuntu working with rarewares... it really depends how new the distro is.  you may have to add debian repos, also to update some ubuntu packages.


later

  • VCSkier
  • [*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #60
i appear to have access to your repo's now, but i get this error message.
Code: [Select]
W: GPG error: ftp://ftp.nerim.net sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
thanks though, so far, this has been very helpful.
a windows-free, linux user since 1/31/06.

  • rjamorim
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #61
Quote
i appear to have access to your repo's now, but i get this error message.
Code: [Select]
W: GPG error: ftp://ftp.nerim.net sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
thanks though, so far, this has been very helpful.[a href="index.php?act=findpost&pid=369740"][{POST_SNAPBACK}][/a]


That is Marillat's repository. There have been issues with his GPG key for years. Nothing to get worried about, really.
Get up-to-date binaries of Lame, AAC, Vorbis and much more at RareWares:
http://www.rarewares.org

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #62
i've been playing with shine (nifty) and i also packaged it for RareWares/Debian

for my *nix brethren there are also generic linux compiles/source  HERE for the moment.


later
  • Last Edit: 18 March, 2006, 02:58:21 PM by xmixahlx

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #63
hey, so maybe i'll tell you new packages i've been playing with (i.e. added or updated)... i haven't done that in a while so here it goes:

current lamip 0.0.3 packages
ktag
dvda-author
cuetools
wav2lpcm
gstreamer0.8-monkeysaudio
k3b (~cvs)
any2dvd
kmediafactory
k3b-plugin-monkeysaudio
alac-decoder
goggles
vobstripper
vobwalker
wavpack
postfish
soundkonverter
kasound
gcdmaster/cdrdao
lame
wavgain
twolame
ssrc
abox
8hz-mp3
mpadec


later

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #64
the rarewares/debian frontpage is updated with my goings-on...

here's the rundown:

    2006.09.28
          o UPDATED PACKAGES: cdrdao/gcdmaster, k3b (svn), monkeys-audio
          o NEW PACKAGES: aqualung, libmodplug (upstream), flake
          o REMOVED PACKAGES: faac, faad2, avidemux (svn) - all maintained by Marillat

    2006.08.13
          o UPDATED PACKAGES: k3b (svn)
          o NEW PACKAGES: rubyripper, libfreedb-ruby

    2006.06.13
          o UPDATED PACKAGES: cuetools, flac (cvs), k3b (svn), oggenc-aotuv


later

  • Demetris
  • [*][*][*]
RareWares Debian GNU/Linux Repository
Reply #65
Thanks for Aqualung :-)

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #66
you are welcome!!!



so i'm not sleeping and packaging 'till the night turns to day, evidently

new packages:

lame (cvs), mp4tools, aften, dvd+rw-tools (upstream), lame/lame-3.97, noisechain


later
  • Last Edit: 29 September, 2006, 08:44:14 AM by xmixahlx

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #67
more updates:

a special note!  the flac packages must be downgraded to the official debian packages (1.1.2-5) due to incompatibilities in the lib/dev packages with the 1.1.3 changes.

for the time being, i've packaged flac as "flac-cvs" staticially (just binaries/manpages are included)

have fun!


# 2006.10.05

    * UPDATED PACKAGES: k3b (svn), flake-enc (svn)
    * NEW PACKAGES: affd
    * REPACKAGED PACKAGES: flac (cvs) was moved to a static binary (flac-cvs) due to libs/devel being incompatible
    * REMOVED PACKAGES: flac (cvs) - NOTE: You will want to downgrade packages from RareWares/Debian to Debian Official (1.1.2-5)

# 2006.10.02

    * I'm starting to redo the old HTML - so this place might look a little weird for a few days.
    * UPDATED PACKAGES: flac (cvs)
    * NEW PACKAGES: aacgain, libvc1
    * REPACKAGED PACKAGES: flake moved to flake-enc and split with libdevel package


later
  • Last Edit: 05 October, 2006, 04:10:55 AM by xmixahlx

  • darkbasic
  • [*]
RareWares Debian GNU/Linux Repository
Reply #68
Do you plan to package for amd64 too?

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #69
i don't plan on it, no.

things may change, tho


later

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #70
more updates...

along with the usual cvs/svn updates come the new MDT releases, audacity beta and cdspeed

2006.11.12

    * UPDATED PACKAGES: k3b (svn), flac-cvs (cvs), flake-enc (svn), musepack-encoder, xmms-musepack, libmpcdec
    * NEW PACKAGES: cdspeed, audacity (beta)



later

RareWares Debian GNU/Linux Repository
Reply #71
Big big thanks for the audacity package!

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #72
you're welcome!

i'm liking the feel of 1.3.2 much better than the stable branch, myself. your thoughts?


later

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #73
more updates...

# 2006.12.10

    * UPDATED PACKAGES: k3b (svn), flac-cvs (cvs), libmpcdec, rubyripper, wavpack (svn), lame (cvs)
    * NEW PACKAGES: snd123

# 2006.11.18

    * UPDATED PACKAGES: libvorbis-aotuv, alac-decoder, lame (cvs)



later

  • xmixahlx
  • [*][*][*][*][*]
RareWares Debian GNU/Linux Repository
Reply #74
yikes! i haven't updated this thread since '06?

anyways, a big update tonight:

updated packages:
* k3b (SVN)
* lame-cvs (CVS)
* musepack (SVN)  - this is current SV8 r380
* xmms-musepack-sv8 (SVN) - same as ^
* wavpack (4.42.0-alpha2)
* xmms-wavpack (1.0.2, thanks david!)
* ktorrent-svn (SVN)

new packages:
* xvid (1.2.0-dev from CVS)
* linux kernel 2.6.23-kamikaze5 (k8 image, headers, manual, doc, source)
* dcadec/libdca (0.0.5, replaces libdts)
* libreplaygain (1.0, NEW LIBRARY FROM THE MDT)

older new/updated packages:
* k3b-plugin-monkeysaudio (3.1)
* mp4als
* libtagz
* ttaenc (3.3+shntool patch)
* kexis (0.2.2+shntool patch)
* bonk (0.6+shntool patch
* monkeys-audio (3.99+update4+build5+shntool patch)
* aacgain (1.7)
* xmms-musepack (1.2.1)
* shorten (3.6.1)
* shntool (3.0.3)

hope y'all had a good new years!


later